#!/bin/sh

# SERIAL=${3:-A600eB1Y}
# FILE=${4:-99-ftdi.rules}

SERIAL="A600eB1Y"
FILE="99-ftdi.rules"

  # SERIAL DABO: A600eB1Y
  # SERIAL TIBI: A600eByq
  # SERIAL TEO:  A900WSG1

usage() {
  echo "Usage: $0 [-v <vendor>] [-p <product>] [-s <serial>] [-f <file> ]"
  echo " -s  specify serial number. Default A600eB1Y"
  echo " -f  specify udev file.     Default 99-ftdi.rules"
  exit 1
  }
  
while getopts ":hv:p:s:f:" arg; do
  case $arg in
    s)  SERIAL=$OPTARG;;
    f)    FILE=$OPTARG;;
    h) usage;;
    *) usage;;
  esac
done
shift $((OPTIND-1))


FILE=/etc/udev/rules.d/$FILE

echo "Undo addition of udev rule so VENDOR:PRODUCT:SERIAL=${VENDOR}:${PRODUCT}:${SERIAL} devices do not load ftdi_sio driver."
echo "Removing all lines containing SERIAL=${SERIAL} from file: ${FILE}"

LINE0=${SERIAL}
sudo sed -i "/${LINE0}/d" $FILE

sed -i -E "/idVendor.*$VENDOR.*idProduct.*$PRODUCT.*serial.*$SERIAL.*MODE.*0666\"/d" $FILE 
sed -i -E "/idVendor.*$VENDOR.*idProduct.*$PRODUCT.*serial.*$SERIAL.*RUN.*ftdi_sio\/unbind/d" $FILE 

sudo service udev restart
echo "Need to unplug-plug devices for changes to take effect"